You are viewing a plain text version of this content. The canonical link for it is here.
Posted to cvs@httpd.apache.org by mi...@apache.org on 2005/01/04 14:38:13 UTC

svn commit: r124104 - /httpd/httpd/trunk/CHANGES /httpd/httpd/trunk/build/pkg /httpd/httpd/trunk/build/pkg/README /httpd/httpd/trunk/build/pkg/buildpkg.sh /httpd/httpd/trunk/build/pkg/pkginfo.in /httpd/httpd/trunk/configure.in

Author: minfrin
Date: Tue Jan  4 05:38:11 2005
New Revision: 124104

URL: http://svn.apache.org/viewcvs?view=rev&rev=124104
Log:
Add a build script to create a solaris package.

Added:
   httpd/httpd/trunk/build/pkg/   (props changed)
   httpd/httpd/trunk/build/pkg/README   (contents, props changed)
   httpd/httpd/trunk/build/pkg/buildpkg.sh   (contents, props changed)
   httpd/httpd/trunk/build/pkg/pkginfo.in
Modified:
   httpd/httpd/trunk/CHANGES
   httpd/httpd/trunk/configure.in

Modified: httpd/httpd/trunk/CHANGES
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/CHANGES?view=diff&rev=124104&p1=httpd/httpd/trunk/CHANGES&r1=124103&p2=httpd/httpd/trunk/CHANGES&r2=124104
==============================================================================
--- httpd/httpd/trunk/CHANGES	(original)
+++ httpd/httpd/trunk/CHANGES	Tue Jan  4 05:38:11 2005
@@ -2,6 +2,8 @@
 
   [Remove entries to the current 2.0 section below, when backported]
 
+  *) Add a build script to create a solaris package. [Graham Leggett]
+
   *) ap_http_scheme() replaced with ap_http_method() - this function
      returns the scheme (http v.s. https).
      [William Rowe]

Added: httpd/httpd/trunk/build/pkg/README
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/build/pkg/README?view=auto&rev=124104
==============================================================================
--- (empty file)
+++ httpd/httpd/trunk/build/pkg/README	Tue Jan  4 05:38:11 2005
@@ -0,0 +1,16 @@
+The script in this directory will attempt to build a Solaris package
+out of a source tree for httpd.
+
+To build a package, make sure you are in the root of the source tree,
+and run:
+
+build/pkg/buildpkg.sh
+
+A Solaris package called httpd-<version>-<architecture>-local.gz will be
+created in the root of the source tree.
+
+By default, the script will attempt to find a system installed version of
+APR and APR-util v1. You may override the location of apr or apr-util like so:
+
+build/pkg/buildpkg.sh --with-apr=some/other/path --with-apr-util=some/other/path
+

Added: httpd/httpd/trunk/build/pkg/buildpkg.sh
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/build/pkg/buildpkg.sh?view=auto&rev=124104
==============================================================================
--- (empty file)
+++ httpd/httpd/trunk/build/pkg/buildpkg.sh	Tue Jan  4 05:38:11 2005
@@ -0,0 +1,93 @@
+#!/bin/sh
+# Copyright 2000-2004 The Apache Software Foundation
+# 
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+
+# buildpkg.sh: This script builds a Solaris PKG from the source tree
+#              provided.
+
+LAYOUT=Apache
+PREFIX=/usr/local/apache2
+TEMPDIR=/var/tmp/$USER/httpd-root
+rm -rf $TEMPDIR
+
+apr_config=`which apr-1-config`
+apu_config=`which apu-1-config`
+
+while test $# -gt 0 
+do
+  # Normalize
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case "$1" in
+  --with-apr=*)
+  apr_config=$optarg
+  ;;
+  esac
+
+  case "$1" in
+  --with-apr-util=*)
+  apu_config=$optarg
+  ;;
+  esac
+
+  shift
+done
+
+if [ ! -f $apr_config -a ! -f $apr_config/configure.in ]; then
+  echo "The apr source directory / apr-1-config could not be found"
+  echo "Usage: buildpkg [--with-apr=[dir|file]] [--with-apr-util=[dir|file]]"
+  exit 1
+fi
+
+if [ ! -f $apu_config -a ! -f $apu_config/configure.in ]; then
+  echo "The apu source directory / apu-1-config could not be found"
+  echo "Usage: buildpkg [--with-apr=[dir|file]] [--with-apr-util=[dir|file]]"
+  exit 1
+fi
+
+./configure --enable-layout=$LAYOUT \
+            --with-apr=$apr_config \
+            --with-apr-util=$apu_config \
+            --enable-mods-shared=all \
+            --with-devrandom \
+            --with-ldap --enable-ldap --enable-authnz-ldap \
+            --enable-cache --enable-disk-cache --enable-mem-cache \
+            --enable-ssl --with-ssl \
+            --enable-deflate --enable-cgid \
+            --enable-proxy --enable-proxy-connect \
+            --enable-proxy-http --enable-proxy-ftp
+
+make
+make install DESTDIR=$TEMPDIR
+. build/pkg/pkginfo
+cp build/pkg/pkginfo $TEMPDIR$PREFIX
+
+current=`pwd`
+cd $TEMPDIR$PREFIX
+echo "i pkginfo=./pkginfo" > prototype
+find . -print | grep -v ./prototype | grep -v ./pkginfo | pkgproto | awk '{print $1" "$2" "$3" "$4" root bin"}' >> prototype
+mkdir $TEMPDIR/pkg
+pkgmk -r $TEMPDIR$PREFIX -d $TEMPDIR/pkg
+
+cd $current
+pkgtrans -s $TEMPDIR/pkg $current/$NAME-$VERSION-$ARCH-local
+gzip $current/$NAME-$VERSION-$ARCH-local
+
+rm -rf $TEMPDIR
+

Added: httpd/httpd/trunk/build/pkg/pkginfo.in
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/build/pkg/pkginfo.in?view=auto&rev=124104
==============================================================================
--- (empty file)
+++ httpd/httpd/trunk/build/pkg/pkginfo.in	Tue Jan  4 05:38:11 2005
@@ -0,0 +1,11 @@
+PKG="ASFhttpd"
+NAME="httpd"
+ARCH="@target_cpu@"
+VERSION="@HTTPD_VERSION@"
+CATEGORY="application"
+VENDOR="Apache Software Foundation"
+EMAIL="dev@httpd.apache.org"
+PSTAMP="dev@httpd.apache.org"
+BASEDIR="@prefix@"
+CLASSES="none"
+

Modified: httpd/httpd/trunk/configure.in
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/configure.in?view=diff&rev=124104&p1=httpd/httpd/trunk/configure.in&r1=124103&p2=httpd/httpd/trunk/configure.in&r2=124104
==============================================================================
--- httpd/httpd/trunk/configure.in	(original)
+++ httpd/httpd/trunk/configure.in	Tue Jan  4 05:38:11 2005
@@ -583,7 +583,11 @@
 dnl Ensure that docs/conf is created.
 test -d docs/conf||$mkdir_p docs/conf
 
-AC_OUTPUT($APACHE_OUTPUT_FILES docs/conf/httpd-std.conf docs/conf/ssl-std.conf include/ap_config_layout.h support/apxs support/apachectl support/dbmmanage support/envvars-std support/log_server_status support/logresolve.pl support/phf_abuse_log.cgi support/split-logfile build/rules.mk,[true],[
+dnl Ensure that the httpd version is included
+HTTPD_VERSION=`build/get-version.sh all include/ap_release.h AP_SERVER`
+AC_SUBST(HTTPD_VERSION)
+
+AC_OUTPUT($APACHE_OUTPUT_FILES docs/conf/httpd-std.conf docs/conf/ssl-std.conf include/ap_config_layout.h support/apxs support/apachectl support/dbmmanage support/envvars-std support/log_server_status support/logresolve.pl support/phf_abuse_log.cgi support/split-logfile build/rules.mk build/pkg/pkginfo,[true],[
   APACHE_GEN_MAKEFILES
 ])